# Generated by Django 3.0.3 on 2020-07-24 20:02

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Patient_registration',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('patient_surname', models.CharField(choices=[('M', 'Mr'), ('F', 'Ms'), ('B', 'Baby of'), ('D', 'Dr')], default='F', max_length=1, null=True)),
                ('patient_name', models.CharField(max_length=255, null=True)),
                ('patient_dob', models.DateField(blank=True, null=True)),
                ('patient_age', models.SmallIntegerField(blank=True, null=True)),
                ('patient_sex', models.CharField(choices=[('M', 'Male'), ('F', 'Female'), ('O', 'Other')], default='M', max_length=1, null=True)),
                ('patient_id', models.CharField(blank=True, max_length=255, null=True)),
                ('patient_sample', models.CharField(blank=True, max_length=255, null=True)),
                ('patient_ref_clinic', models.CharField(blank=True, max_length=255, null=True)),
                ('patient_ref_doctor', models.CharField(blank=True, max_length=255, null=True)),
                ('patient_enter_date', models.DateTimeField(auto_now=True, null=True)),
                ('patient_exit_date', models.DateTimeField(auto_now_add=True, null=True)),
                ('patient_external_ref', models.CharField(blank=True, max_length=255, null=True)),
                ('patient_address', models.TextField(blank=True, null=True)),
                ('patient_phone', models.BigIntegerField(blank=True, null=True)),
                ('patient_phone2', models.BigIntegerField(blank=True, null=True)),
                ('patient_email', models.EmailField(blank=True, max_length=254, null=True)),
            ],
        ),
    ]
